using Coravel.Mailer.Mail;

namespace EnotaryoPH.Web.Mailables
{
    public class OneTimePasswordMailable : Mailable<OneTimePasswordViewModel>
    {
        private readonly OneTimePasswordViewModel _model;

        public OneTimePasswordMailable(OneTimePasswordViewModel model) => _model = model;

        public override void Build() => this
            .To(_model.Email)
            .From("noreply@enotaryoph.com")
            .View("~/Views/Mail/OneTimePassword.cshtml", _model);
    }
}